## org.exist.storage.btree
Interface BTreeCallback

public interface BTreeCallback

BTreeCallback is a callback interface for BTree queries.

Method Summary
`boolean` `indexInfo(Value value, long pointer)` indexInfo is a callback method for index enumeration.

Method Detail

### indexInfo

    public boolean indexInfo(Value value,
                             long pointer)
                      throws TerminatedException

  indexInfo is a callback method for index enumeration.

  Parameters:
    `value` - The Value being reported
    `pointer` - The data pointer being reported
  Returns:
    false to cancel the enumeration
  Throws:
    `TerminatedException`

Copyright (C) Wolfgang Meier. All rights reserved.